import { SettingsJson } from '@ewizardjs/settings';
import { Block, CLMS, DefaultBlock, DefaultBlocks, Dictionary, ThemeBlock } from '../interfaces';
export declare function parseBlockData(block: DefaultBlock): ThemeBlock;
export declare function parsingArrayToDictionary(blocks?: DefaultBlock[]): Dictionary;
export declare function getDefaultBlocksByName(blocks?: DefaultBlocks, name?: string): DefaultBlock[];
export declare function isBlockSupportedInCurrentClm(block: Block, themeBlock: Block, currentClm: string): boolean;
export declare function isVisibleClm(clms: CLMS, currentClm: string): boolean;
export declare function checkPurpose(purpose?: string[], currentPurpose?: string): boolean;
export declare function getCurrentPurpose(metadata?: SettingsJson['metadata']): string | undefined;
